<?php

/**
 * @file
 *  contains hook api examples.
 */

/**
 * Run on a database after imported.
 *
 * @param array $tables
 *
 * @return void
 */
function hook_drush_deidentify_data_clean(array &$tables) {
  // Here alter or provide extra tables to clean.
  /* // Add new tables like this
  $tables['table_name'] => [
  'colum_to_clean_1',
  'colum_to_clean_2'
  ];
   */
}

/**
 * Run on database during export.
 *
 * @param array $tables
 *
 * @return void
 */
function hook_drush_deidentify_export_alter(array &$table_selection) {
  // Here alter or provide extra tables to clean.
  $extra = ['crimestats_dates'];
  $table_selection['structure'] = array_merge($table_selection['structure'], $extra);
}

/**
 * Granular control over data set.
 *
 * @param $value
 *   the current altered value if any.
 * @param $type
 *   The field type.
 * @param $field_name
 *   The database field name.
 * @param $table_name
 *   The datbase table name
 * @param $colum_details
 *   The details about the colum
 * @param $faker
 *   faker object  @see https://fakerphp.github.io/
 * @param $current_db_item
 *   the current database record with values.
 *
 * @return void
 *   should override &$value  if needed.
 */
function hook_drush_deidentify_data_clean_colum_val_alter(&$value, $context) {
  list($type, $field_name, $table_name, $colum_details, $faker, $current_db_item) = $context;
  /*
   if ($table_name === 'x' && $field_name == 'y') {
     $value = $faker->safeEmail();
   }
   */
}

/**
 * Hook to ensure the cleand table prime key is correct.
 *
 * @param $prime_key_field
 * @param $details
 * @param $table_name
 *
 * @return void
 */
function hook_drush_deidentify_data_clean_force_prime_key_alter(&$prime_key_field, $details, $table_name) {
  // Here you may need to be 100% sure you have the correct prime key for your table
  // You can only alter $prime_key_field value.
}
