<?php

namespace Faker\Extension;

/**
 * @experimental This interface is experimental and does not fall under our BC promise
 */
interface BarcodeExtension extends Extension {

  /**
   * Get a random EAN13 barcode.
   *
   * @example '4006381333931'
   */
  public function ean13(): string;

  /**
   * Get a random EAN8 barcode.
   *
   * @example '73513537'
   */
  public function ean8(): string;

  /**
   * Get a random ISBN-10 code.
   *
   * @see http://en.wikipedia.org/wiki/International_Standard_Book_Number
   *
   * @example '4881416324'
   */
  public function isbn10(): string;

  /**
   * Get a random ISBN-13 code.
   *
   * @see http://en.wikipedia.org/wiki/International_Standard_Book_Number
   *
   * @example '9790404436093'
   */
  public function isbn13(): string;

}
