<?php

namespace Faker\Provider\ro_RO;

/**
 *
 */
class PhoneNumber extends \Faker\Provider\PhoneNumber {
  protected static $normalFormats = [
    'landline' => [
  // Bucharest.
      '021#######',
      '023#######',
      '024#######',
      '025#######',
      '026#######',
  // non-geographic.
      '027#######',
  // Bucharest.
      '031#######',
      '033#######',
      '034#######',
      '035#######',
      '036#######',
  // non-geographic.
      '037#######',
    ],
    'mobile' => [
      '07########',
    ],
  ];

  protected static $specialFormats = [
    'toll-free' => [
      '0800######',
  // shared-cost numbers.
      '0801######',
  // Personal numbering.
      '0802######',
  // Virtual cards.
      '0806######',
  // pre-paid cards.
      '0807######',
  // Internet dial-up.
      '0870######',
    ],
    'premium-rate' => [
      '0900######',
      // Financial information.
      '0903######',
    // Adult entertainment.
      '0906######',
    ],
  ];

  /**
   * @see http://en.wikipedia.org/wiki/Telephone_numbers_in_Romania#Last_years
   */
  public function phoneNumber() {
    $type = static::randomElement(array_keys(static::$normalFormats));

    return static::numerify(static::randomElement(static::$normalFormats[$type]));
  }

  /**
   *
   */
  public static function tollFreePhoneNumber() {
    return static::numerify(static::randomElement(static::$specialFormats['toll-free']));
  }

  /**
   *
   */
  public static function premiumRatePhoneNumber() {
    return static::numerify(static::randomElement(static::$specialFormats['premium-rate']));
  }

}
